require "rake/clean"

name = "toknotes"

name_tex = name+".tex"
name_idx = name+".idx"
name_dvi = name+".dvi"
name_aux = name+".aux"
name_ps  = name+".ps"
name_log = name+".log"

CLEAN.include(name_dvi, name_log, name_aux, name_idx)
CLOBBER.include(name_ps)

task :default => [name_ps]

file name_ps => [name_dvi] do
	sh "dvips #{name_dvi}"
end

file name_dvi => [name_tex] do
	sh "latex #{name_tex}"
	sh "latex #{name_tex}"
	sh "latex #{name_tex}"	
	sh "makeindex #{name_idx}"	
	sh "latex #{name_tex}"
  sh "pdflatex #{name_tex}"
end


