#!/usr/bin/ruby -w
require 'find'

dirs = ["."]
excludes = [ ]
fileCounter =  0

for dir in dirs
  Find.find(dir) do |path|
  if FileTest.directory?(path)
    if excludes.include?(File.basename(path))
        Find.prune
      else
        next
    end
    else
      unless path =~ /(\.tex$|\.sty$|\.cls$|\.eps$|\.ps$|\.pdf$|\.rb$|\.html$|\.txt$|\.wsp$)/
        fileCounter +=  1        
        puts "\n Deleting file #{fileCounter}:#{path}\n\n" 
        File.delete(path)
      end
    end
  end
end